#include <iostream>
#include<math.h>

using namespace std;

int main()
{
    double p,q,r,br=0;
    int x,y;
    cin>>p>>q>>r>>x>>y;
    for(int i=x; i<=y; i++)
    {
        if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
        br++;
    }
    cout<<br;
}